#
# spec file for package kphotoalbum
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kphotoalbum
Version:        5.3
Release:        lp150.1.2
Summary:        A photo administration utility
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://www.kphotoalbum.org/
Source:         http://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake >= 3.2.0
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  libexiv2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KDcraw)
BuildRequires:  cmake(KF5KGeoMap)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Kipi)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  update-desktop-files
Requires:       kipi-plugins
Requires:       sqlite3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KPhotoAlbum is a tool to help describe images, and to search in the pile
of images. With KPhotoAlbum it is today possible to find any image
in less than 5 seconds, let that be an image with a special person,
an image from a special place, or even both.


%lang_package
%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build
%find_lang %{name}
%suse_update_desktop_file org.kde.%{name} Graphics Photography
%suse_update_desktop_file org.kde.%{name}-import Graphics Photography

%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_kf5_applicationsdir}/*
%{_kf5_bindir}/*
%{_kf5_iconsdir}/??color/*/*/*.png
%{_kf5_configdir}/kphotoalbumrc
%{_kf5_htmldir}/en/kphotoalbum/
%{_kf5_kxmlguidir}/kphotoalbum/
%{_kf5_sharedir}/kphotoalbum/
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.*.appdata.xml

%files lang -f %{name}.lang
%defattr(-,root,root)
%doc %lang(de) %{_kf5_htmldir}/de/
%doc %lang(fr) %{_kf5_htmldir}/fr/
%doc %lang(it) %{_kf5_htmldir}/it/
%doc %lang(nl) %{_kf5_htmldir}/nl/
%doc %lang(pt) %{_kf5_htmldir}/pt/
%doc %lang(pt_BR) %{_kf5_htmldir}/pt_BR/
%doc %lang(sv) %{_kf5_htmldir}/sv/
%doc %lang(uk) %{_kf5_htmldir}/uk/

%changelog
* Tue Jan 23 2018 wbauer@tmo.at
- Update to 5.3
  * Removal of the face management, libkface is unmaintained.
  * Bugfix: Fix crash with prepared SQL queries on Qt 5.10.
  * Enhancement: Speed up startup by not counting images several
    times.
  * Enhancement: Improve robustness of video length detection and
    thumbnail extraction.
  * Enhancement: Made the full screen image preview in the
    annotation dialog reachable by a button.
  * Change: Display absolute numbers instead of percentage when
    loading new images.
  * Bugfix (kde#385551): Remove dead/unreachable code.
  * Enhancement: Speed up video thumbnail creation.
  * New: Added the "kpa-merge" script (by Robert Krawitz), which
    can merge two (version 7) databases and also remove unused
    labels.
  * Enhancement: Speed up removal of images from database.
  * Enhancement: Add a "Maximum megapixels" option to the search
    dialog.
  * Enhancement: Don't re-compute an MD5 sum we already have when
    adding new images.
  * Bugfix: Overall KF5 port regression fixes (missing buttons
    etc.).
  * Bugfix: Sometimes, areas weren't updated correctly when
    annotating images and changing between them.
- Update build requirements
* Tue Feb 28 2017 wbauer@tmo.at
- Update to 5.2
  * Enhancement: Add the "Geo Position" selection page to the
    browser (Thanks to Matthias Füssel for the original patch!)
  * Bugfix: Fixed disabled items in browser overview page.
  * Bugfix (kde#376635): Fix renaming and deletion of memberMap
    members.
  * Change: Maintained compatibility with Qt < 5.6 (for now).
  * Bugfix: Fixed compilation with -fno-operator-names.
  * Bugfix: Added .kim import test case and fixed the import when
    using external images.
  * Enhancement: Improved the default layout for annotation dialog.
  * Bugfix (kde#374431): Prevent invalid characters in image
    description.
  * Bugfix: Fixed the path of kphotoalbumui.rc in kpa-backup.sh
  * Bugfix: Reviewed and fixed the install directories.
  * Bugfix: Fixed the date view on the birthdays page.
  * Bugfix: Fixed some issues in the thumbnail build progress
    counter.
  * Bugfix: Don't show empty descriptions in the InfoBox.
  * Bugfix: Fixed the search dialog.
  * Bugfix: Fixed the "remove tokens" dialog.
- Drop Maintain-compatibility-with-Qt-5.5.patch and
  fix-build-with-ecm-5.31.patch, included in this release
* Sun Feb 19 2017 wbauer@tmo.at
- Update to 5.1
  * Enhancement (kde#370373): Made writing index.xml deterministic,
    so that diffing it produces minimal changes.
  * Bugfix: Fixed areas not drawn when a photo was viewed after a
    video in the Annotation Dialog.
  * Bugfix (kde#373263): KPA crashed when editing a birth date.
    Also restored the functionality if the whole birth date dialog,
    which was broken due to the KF5/Qt5 port.
  * Bugfix (kde#373128): Fixed the "Copy image(s) to..." and
    "Link image(s) to..." menu.
  * Bugfix: Prevent duplicate positionable tags. All except one are
    lost when saving. Apparently, nobody noticed this flaw since
    the introduction of positionable tags ;-)
  * Bugfix: Prevent the image preview from flickering in the
    Annotation Dialog.
  * Bugfix: Fixed various issues with the Android Remote Control.
- Drop fix-build-with-qt5.6.1.patch and fix-build-with-qt5.5.patch,
  included in this release
- Add fix-build-with-ecm-5.31.patch to fix build with KF 5.31.0
- Add Maintain-compatibility-with-Qt-5.5.patch to make it build
  with Qt 5.5 in Leap 42.1
- Define ENABLE_PLAYGROUND to keep the face detection and
  recognition features which are now disabled by default
* Thu Nov 10 2016 wbauer@tmo.at
- Add missing libexiv2-devel build requirement
* Mon Nov  7 2016 wbauer@tmo.at
- Add fix-build-with-qt5.6.1.patch and fix-build-with-qt5.5.patch
  to fix the build for Leap 42.1
* Fri Oct 28 2016 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Ported KPA to Qt 5 and KF5, including updating all
    depreceated code. We also do not depend on the KDE4LibsSupport
    compatibility class.
  * Cleaned up includes and stray references, dropped some
    legacy compatibility code.
  * Updated the (many/most of the) icons to get a uniform "KF5 look".
  * Revised commandline options.
  * Use ffmpeg/ffprobe for video if available.
  * Usability improvements for HTML export.
  * We now ship AppData.
  * Fixed some leaks detected by Valgrind and warnings by
    the clang static analyzer.
* Mon Aug  1 2016 wbauer@tmo.at
- Update to 4.7.2
  * Bugfix: Annotation dialog: Fix up/down key if there's a single
    match for an entered string.
  * Enhancement: Tag names are now matched word by word against all
    parts of the search string (using the Search dialog).
  * Bugfix: Prevent duplication of special categories when updating
    to dbv7.
  * Bugfix: Don't exclude "Z" when filling the "Tokens" category
    for the first time.
  * Bugfix: Overall fixes of assertions.
  * Change: Dropped compatibility with libkipi < 2.0.
* Mon May  2 2016 wbauer@tmo.at
- Update to 4.7.1
  * too many changes to list here, please see
    https://www.kphotoalbum.org/ or the included ChangeLog file
- Add libkface-devel to the BuildRequires to enable the new face
  detection and recognition features
- adjust file list
* Sun Dec  8 2013 cgiboudeaux@gmx.com
- Update to 4.4
  * Support for kipi 2.0.0
  * Greatly improved database save performance
  * Merging duplicate images (based on md5sum) is now possible
  * BUGFIX: Tooltips did not update when scrolling using the wheel
  * BUGFIX: Tooltip did not work on videos
* Sun Feb 10 2013 ctrippe@opensuse.org
- Update to version 4.3
  New features concentrate on video support improvements and background
  tasks. Also the database backend has been dropped completely leaving
  the XML backend as the only option. Automatic stacking of images
  based on file version detection has been brought to the maintenance
  menu giving control to the user instead of only performing the
  action upon starting of KPhotoAlbum.
- dropped patch kphotoalbum-4.2-docbook_xml.diff
- added the following patches
  * 0003-KIPI-Use-the-generic-way-of-passing-date-time-argume.patch
  * fix_open_raw_desktop.diff
  * kphotoalbum-4.3-libkdcraw.patch
  * kphotoalbum-libkipi2.patch
* Tue Jul  3 2012 toddrme2178@gmail.com
- Update to version 4.2
  * Rewrite of ThumbnailView with speed improvements, pre-loading
    and background thumbnail generation.
  * ToolTip on ThumbnailView is activated only if mouse is not
    moving.
  * Updated documentation.
  * Copy-paste of tags from one image to the next one.
  * RAW workflow improvements on speed and functionality. Use
    embedded thumbnail if available in decent size, open the RAW
    file in RAW editor instead of the developed JPEG, search for
    only RAW files.
  * Rating images with number keys 0-5.
  * Annotation dialog and search improvements.
  * HTML export improvements.
  * Option to skip symbolic links when detecting new files.
  * Multi core CPU improvements.
  * Plenty of crashes fixed.
  * Usability improvements.
* Fri Jul 30 2010 tittiatcoke@gmail.com
- Update to version 4.1.1
* Sat Aug  1 2009 tittiatcoke@gmail.com
- Update to version 4.0.2
* Tue Jul 21 2009 tittiatcoke@gmail.com
- Update to version 4.0.1
* Mon May 11 2009 jcnengel@googlemail.com
- Initial checkin version 4.0
